Bug 4869 - Netscape doesn't use installed fonts + TrueDoc doesn't work
Netscape doesn't use installed fonts + TrueDoc doesn't work
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
http://www.bitstream.com/webfont/gall...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-02 19:31 EDT by murray
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-03 10:48:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description murray 1999-09-02 19:31:55 EDT
This is SUPPOSED to demonstrate the dynamic downloadable
fonts in Netscape Communicator using the TrueDoc
technology.  (The initial Netscape page on load-up mentions
"TrueDoc" as one of its licensed technologies.)  On an older
Red Hat 5.2 system I have this stuff actually works.  (If
you go to the page, you should see some fonts appear as
pieces of candy and others to be obviously non-standard
fonts.)

I've reproduced this problem on five very different
computers running Red Hat 6.0.

I've also downloaded the most recent version of Communicator
directly from Netscape, installed it and still the same
problem happens.

What's worse, this is only part of the problem.  Netscape
will not display standard installed X-Fonts on the system.
Try running the Gnome font selector, pick the font of your
choice, make a simple web page that selects that font.  It
won't display.

I don't know for a fact that other non-RH distributions have
the same problem or not (maybe it's a bug in newer XF86!)
Does anybody have any info?
Comment 1 Bill Nottingham 1999-09-03 10:48:59 EDT
TrueDoc support is not available in the glibc build of communicator.
If you'd like to see this available, talk to Bitstream about
releasing a glibc version of their library for Netscape to
ship...

Note You need to log in before you can comment on or make changes to this bug.